Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Registry
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Create
        • Update
        • Delete
        • Get
        • List
        • ChangeState
        • DryRun
        • GetDryRunResult
        • ListDryRunResults
        • ListDryRunArtifacts
  • Monitoring metrics
  • Audit Trails events

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • AffectedArtifact
  • TriggeredRule
  1. API reference
  2. REST
  3. LifecyclePolicy
  4. ListDryRunArtifacts

Yandex Cloud Registry API, REST: LifecyclePolicy.ListDryRunArtifacts

Written by
Yandex Cloud
Updated at September 2, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • AffectedArtifact
  • TriggeredRule

Returns the list of artifacts that the dry run would delete.

HTTP requestHTTP request

GET https://registry.api.cloud.yandex.net/cloud-registry/v1/lifecyclePolicyDryRunResults/{dryRunId}:artifacts

Path parametersPath parameters

Field

Description

dryRunId

string

Required field. ID of the dry run.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
ListDryRunLifecyclePolicyArtifactsResponse.next_page_token returned by a previous list request.

The maximum string length in characters is 1000.

pathFilter

string

Filter by artifact path.
The expression must specify:

  1. The field path
  2. An operator: =, !=.
  3. The value in double quotes.
    Examples:
    path = "pool/main/all"
    path != "pool/main/all"
    No regular expressions allowed.

The maximum string length in characters is 1000.

versionFilter

string

Filter by artifact version.
The expression must specify:

  1. The field version
  2. An operator: =, !=.
  3. The value in double quotes.
    Examples:
    version = "latest"
    version != "latest"
    No regular expressions allowed.

The maximum string length in characters is 1000.

orderBy

string

Sort order. Comma-separated "field [asc|desc]", e.g. "path desc".
Valid fields: path.
Defaults to "path asc" when empty.

The maximum string length in characters is 256.

ResponseResponse

HTTP Code: 200 - OK

{
  "artifacts": [
    {
      "path": "string",
      "version": "string",
      "artifactId": "string",
      "affectedBy": {
        "ruleType": "string",
        "ruleIndex": "string"
      }
    }
  ],
  "nextPageToken": "string"
}

Field

Description

artifacts[]

AffectedArtifact

List of artifacts that the dry run would delete.

nextPageToken

string

This token allows you to get the next page of results for list requests.

AffectedArtifactAffectedArtifact

One artifact that a dry run would delete.

Field

Description

path

string

Full path of the artifact, for example /library/ubuntu/latest.

version

string

Version of the artifact. The backend does not store it.
The backend takes the part of the path after the last "/", for example latest.

artifactId

string

ID of the artifact.

affectedBy

TriggeredRule

Rule that would delete this artifact.

TriggeredRuleTriggeredRule

Rule that matched the artifact during the dry run.

Field

Description

ruleType

enum (LifecycleRuleType)

Type of the rule that matched.

  • LIFECYCLE_RULE_TYPE_HARD_DELETE: Hard delete. The artifact is removed for good and can not be restored.
  • LIFECYCLE_RULE_TYPE_SOFT_DELETE: Soft delete. The artifact is marked for deletion but can be restored.
  • LIFECYCLE_RULE_TYPE_RETAIN: Retain. The artifact is kept.

ruleIndex

string (int64)

Index of the rule in the policy rules snapshot (policy_snapshot) of this dry run.

Was the article helpful?

Previous
ListDryRunResults
Next
Overview
© 2026 Direct Cursus Technology L.L.C.